Unrecognized version of MSCorLib

.NET obfuscator and automated error reporting

Moderators: Luke Jefferson, melvyn.harbour, dom.smith

Unrecognized version of MSCorLib

Postby JBeales » Mon Apr 15, 2013 3:40 pm

I've been using SmartAssembly 6.0 with no issues for a few years. Recently I updated to 6.7 (this was to try and get around another issue where SmartAssembly was complaining it couldn't find a reference for an apparently embedded assembly in a referenced 3rd party library called Aspose.PDF.dll, I'm currently waiting further investigation from them regarding this) and now one of my projects won't run due to the following error:

"Unrecognized version of MSCorLib, version = 0.0.0.0 ...".

The only thing I found on the internet was this: http://download.advsofteng.com/forum/do ... 1334597299

I am indeed referencing ChartDirector.dll. Is there nothing that can be done about this other than the suggested disassembling?

Thanks
JBeales
 
Posts: 1
Joined: Mon Apr 15, 2013 3:29 pm

Postby Simon C » Tue Apr 16, 2013 10:42 am

Yes, this is an issue in SA. We probably couldn't support such assemblies as the main assembly, as we need to know what version of mscorlib to read, but we could support them as dependencies by simply defaulting to the mscorlib of the main assembly.

I've added this into the system as SA-1672
Simon C
 
Posts: 140
Joined: Tue Feb 26, 2008 4:56 pm
Location: Red Gate Software


Return to SmartAssembly 6

Who is online

Users browsing this forum: No registered users and 0 guests

cron